Pylibmc is the python client for Memcached. But installing it in Ubuntu caused me some problems during my first time setup. Later I found that one of the dependent libraries need to be installed before installing Pylibmc. Here are the steps to install Pylibmc on Ubuntu.

Step 1: Install Memcached

Install memcached using the command

sudo apt-get install memcached

Step 2: Install Libmemcached

Install Libmemcached library using the command

sudo apt-get install libmemcached-dev

Step 3: Install Pylibmc

Install Pylibmc from pip using the command

pip install pylibmc

Hope this helps any beginners facing the same problem, as I did. Feel free to post your comments.